22.02.2017     Follow me on Facebook
by Edgar Gierth

Exchange 2016 OWA could not be opened with Firefox or Chrome browser

With Microsoft Exchange Server 2016 CU4, OWA in Exchange 2016 could not be opened with Mozilla Firefox or Google Chrome browser, but it will work with IE and Microsoft Edge. Using Firefox or Chrome browser the error *NS_ERROR_NET_INADEQUATE_SECURITY' will be displayed in the browser. The reason for this for this error is the integration of the HTTP/2-Standard in the Windows Server IIS components by Microsoft.

To fix the problem download the tool 'IISCrypto" on your Exchange Server 2016 CU4. Both Exchange installations, on Windows Server 2012 R2 and Windows Server 2016, could be fixed with that tool by NARTAC SOFTWARE.
Download IISCrypto

Afterwards run the downloaded 'IISCrypto.exe*' file on your Exchage Server 2016. Maximize the appliacation window and choose thr button "Best Practices". To start the changes press "Apply".

IISCrypto

The programm will give you the hint to reboot the Exchage Server.

IISCrypto

After the reboot of the related Exchange Server, Outlook on the web (OWA) will be reachable by any supported browser vendor.
ml>